%define _sharedstatedir /var/lib

# should be set to user/group with uid/gid = 3/3
%define aegis_user adm
%define aegis_group sys

Name:		aegis
Version:	4.9 
Release:	alt1
Summary:	Project change supervisor
License:	GPL
Group:		Development/Other
URL:		http://www.canb.auug.org.au/~millerp/aegis.html
Packager:	Alexey Voinov <voins@altlinux.ru>

Source:		http://www.canb.auug.org.au/~millerp/%name-%version.tar.bz2
Source1:	%name.menu

Patch1:		%name-4.1-alt-profile.patch
Patch2:		%name-4.5-alt-nodeps.patch

#dirty hack to disable building of dvi docs
Patch3:		%name-4.9-alt-dvidocs.patch

Icon:		aegis.gif

BuildRequires:	bison groff libintl librx-devel sh tk zlib-devel psutils

%description
Aegis is a transaction-based software configuration management system.
It provides a framework within which a team of developers may work
on many changes to a program independently, and Aegis coordinates
integrating these changes back into the master source of the program,
with as little disruption as possible.

%package txtdocs
Summary:	Aegis documentation, dumb ascii text
Group:		Development/Other

%description txtdocs
Aegis documentation in dumb ascii text format.

%package psdocs
Summary:	Aegis documentation, PostScript format
Group:		Development/Other

%description psdocs
Aegis documentation in PostScript format.

%package dvidocs
Summary:	aegis documentation, DVI format
Group:		Development/Other

%description dvidocs
Aegis documentation in DVI format.

%package web
Summary:	web interface for aegis
Group:		Development/Other
Requires:	apache
Requires:	%name = %version-%release

%description web
Web-interface for aegis.

%package x
Summary:	GUI for aegis
Group:		Development/Other
Requires:	%name = %version-%release

%description x
GUI part of aegis.

%prep
%setup -q
%patch1 -p1 -b .profile
%patch2 -p1 -b .nodeps
%patch3 -p1 -b .dvidocs

#autoconf etc/configure.in > configure

%build
#export CFLAGS=-g
%configure --with-nlsdir=%_datadir/locale \
	--with-document-root=/var/www \
	--with-script-root=/var/www/cgi-bin
make

%install
make RPM_BUILD_ROOT=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%_datadir/%name/man1/en/* $RPM_BUILD_ROOT%_man1dir
mv $RPM_BUILD_ROOT%_datadir/%name/en/man1/* $RPM_BUILD_ROOT%_man1dir
mv $RPM_BUILD_ROOT%_datadir/%name/de/LC_MESSAGES/* $RPM_BUILD_ROOT/%_datadir/%name/de
mv $RPM_BUILD_ROOT%_datadir/%name/fr/LC_MESSAGES/* $RPM_BUILD_ROOT/%_datadir/%name/fr
install -p -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%_menudir/aegis
%find_lang %name
%find_lang --append --output=%name.lang aeannotate
%find_lang --append --output=%name.lang aecomplete
%find_lang --append --output=%name.lang aedist
%find_lang --append --output=%name.lang aefind
%find_lang --append --output=%name.lang aeimport
%find_lang --append --output=%name.lang aels
%find_lang --append --output=%name.lang aepatch
%find_lang --append --output=%name.lang aerect
%find_lang --append --output=%name.lang aereport
%find_lang --append --output=%name.lang aesub
%find_lang --append --output=%name.lang aetar

%files -f %name.lang
%attr(755,%aegis_user,%aegis_group) %dir %_sharedstatedir/aegis
%attr(755,%aegis_user,%aegis_group) %dir %_datadir/%name
%attr(755,%aegis_user,%aegis_group) %dir %_datadir/%name/config.example
%attr(755,%aegis_user,%aegis_group) %dir %_datadir/%name/en
%attr(755,%aegis_user,%aegis_group) %dir %_datadir/%name/en/notes
%attr(755,%aegis_user,%aegis_group) %dir %_datadir/%name/de
%attr(755,%aegis_user,%aegis_group) %dir %_datadir/%name/fr
%attr(755,%aegis_user,%aegis_group) %dir %_datadir/%name/remind
%attr(755,%aegis_user,%aegis_group) %dir %_datadir/%name/report
%attr(4710,root,aegis) %_bindir/aegis
%attr(4710,root,aegis) %_bindir/aeimport
%_bindir/aedist
%_bindir/aefind
%_bindir/aepatch
%_bindir/aerect
%_bindir/aereport
%_bindir/aesub
%_bindir/aels
%_bindir/ae-sccs-put
%_bindir/aecomplete
%_bindir/aeannotate
%_bindir/aetar
%_bindir/ae_diff2htm
%_bindir/aeintegratq
%_man1dir/ae[-_bdfilmnprstv]*
%_man1dir/aeca*
%_man1dir/aecd*
%_man1dir/aechown*
%_man1dir/aeclean*
%_man1dir/aeclone*
%_man1dir/aecomplete*
%_man1dir/aecp*
%_man1dir/aegis.1*
%_man5dir/*
%attr(755,%aegis_user,%aegis_group) %_datadir/%name/cshrc
%attr(755,%aegis_user,%aegis_group) %_datadir/%name/profile
%attr(755,%aegis_user,%aegis_group) %_datadir/%name/*.sh
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/aegis.icon
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/aegis.mask
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/aegis.pgm
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/config.example/*
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/de/glossary
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/fr/glossaire
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/en/notes/*
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/report.index
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/report/*
%attr(755,%aegis_user,%aegis_group) %_datadir/%name/remind/*
/etc/profile.d/*

%files x
%attr(755,%aegis_user,%aegis_group) %dir %_datadir/%name/wish
%_bindir/aecomp
%_bindir/aebuffy
%_bindir/tk*
%_bindir/x*
%_menudir/*
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/wish/*
%_man1dir/aecomp.1*
%_man1dir/aebuffy.1*
%_man1dir/tk*

%files txtdocs
%dir %_datadir/%name
%_datadir/%name/en/*.txt

%files psdocs
%dir %_datadir/%name
%_datadir/%name/en/*.ps

#%files dvidocs
#%dir %_datadir/%name
#%_datadir/%name/en/*.dvi

%files web
%_bindir/aegis.cgi*
%attr(755,%aegis_user,%aegis_group) %dir %_datadir/%name/en/html
%attr(644,%aegis_user,%aegis_group) %_datadir/%name/en/html/*
%_datadir/%name/aedefault.css
%_man1dir/aegis.cgi.*

%pre
/usr/sbin/groupadd -r -f aegis >/dev/null 2>&1

%post x
%update_menus

%postun x
%clean_menus

%changelog
* Tue Oct 29 2002 Alexey Voinov <voins@voins.program.ru> 4.9-alt1
- new version (4.9)
- dvi docs generation disable because of bug in troff
- aegis and aeimport executables a only runnable by members of aegis group

* Fri Aug 23 2002 Alexey Voinov <voins@voins.program.ru> 4.8-alt1
- new version (4.8)
- little spec cleanup
- patches filenames changed according to policy

* Fri Aug 09 2002 Stanislav Ievlev <inger@altlinux.ru> 4.6-alt1.1
- fixed suid/sgid file permissions
- fixed group tag

* Sat Jul 20 2002 Alexey Voinov <voins@voins.program.ru> 4.6-alt1
- new version (4.6)

* Sat Jul 06 2002 Alexey Voinov <voins@voins.program.ru> 4.5-alt1
- new version (4.5)
- rubug.patch no longer needed
- editpref.patch no longer needed
- nodeps.patch updated

* Tue Jun 25 2002 Alexey Voinov <voins@voins.program.ru> 4.4-alt4
- fixed permissions for data files
- aegis-x subpackage created
- removed deps on inews ans sendmail-common
- locale files now found with %find_lang
- aegis.cgi.1 moved to web subpackage

* Thu May 30 2002 Alexey Voinov <voins@voins.program.ru> 4.4-alt3
- editpref patch added (adds new options to user preferences file
  for specifing editor and pager to use with aegis)

* Fri May 17 2002 Alexey Voinov <voins@voins.program.ru> 4.4-alt2
- russian translation fixed

* Wed May 15 2002 Alexey Voinov <voins@voins.program.ru> 4.4-alt1
- new version
- .sysdefaults patch no longer needed
- .aedistbug patch no longer needed
- .webdirs patch no longer needed
- files in aegis-web subpackage rearranged
- .rubug patch added (fixes russian translation)

* Tue May 14 2002 Alexey Voinov <voins@voins.program.ru> 4.3-alt4
- webdirs patch fixed
- menu added

* Mon May 13 2002 Alexey Voinov <voins@voins.program.ru> 4.3-alt3
- removed chown/chgrp in %post 
- webdirs patch added
- aegis-web subpackage added
- spec cleanup

* Thu Apr 25 2002 Alexey Voinov <voins@voins.program.ru> 4.3-alt2
- bug in aedist 4.3 fixed (-aedistbug patch)
- buildrequires autocorrected

* Wed Apr 24 2002 Alexey Voinov <voins@voins.program.ru> 4.3-alt1
- new version

* Mon Apr 08 2002 Alexey Voinov <voins@voins.program.ru> 4.2-alt2
- sysdefaults patch added. It allows administrators to provide
  system wide defaults in /etc/aegisrc file. All defaults can be
  overriden by ~/.aegisrc file.

* Sat Mar 02 2002 Alexey Voinov <voins@voins.program.ru> 4.2-alt1
- new version
- spec cleanup

* Tue Jan 29 2002 Alexey Voinov <voins@voins.program.ru> 4.1-alt4
- russian translation added (tarball with .po files ad rupo.patch)
- findproj patch added. fixes problem with not founding default project 
  and change in integration directory.

* Sat Jan 19 2002 Alexey Voinov <voins@voins.program.ru> 4.1-alt2
- nlsca patch added. should fix problem with editing change attributes
  in native language

* Wed Jan 16 2002 Alexey Voinov <voins@voins.program.ru> 4.1-alt1
- new version
- _sharedstatedir defined to /var/lib  (instead of /usr/com)
- fixed profile so it will not setup invalid MANPATH

* Sat Dec 15 2001 Alexey Voinov <voins@voins.program.ru> 3.29-alt1.5
- some out of place man1 pages moved into %_man1dir

* Tue Nov 27 2001 Alexey Voinov <voins@voins.program.ru> 3.29-alt1.3
- switch patch added
- nlsdir patch added

* Mon Nov 05 2001 Alexey Voinov <voins@voins.program.ru> 3.29-alt1
- adapted for Sisyphus from aegis.spec in tarball


